# module RSS::ImageModelUtils

### Public Instance Methods

validate_one_tag_name(ignore_unknown_element, name, tags) click to toggle source

    # File lib/rss/image.rb, line 25
    def validate_one_tag_name(ignore_unknown_element, name, tags)
      if !ignore_unknown_element
        invalid = tags.find {|tag| tag != name}
        raise UnknownTagError.new(invalid, IMAGE_URI) if invalid
      end
      raise TooMuchTagError.new(name, tag_name) if tags.size > 1
    end